from enum import Enum, unique


@unique
class Differencing(Enum):
    NONE = 0
    ABSOLUTE = 1
    RELATIVE = 2


    def __str__(self):
        if self.value == Differencing.NONE.value:
            return ''
        elif self.value == Differencing.ABSOLUTE.value:
            return 'abs'
        elif self.value == Differencing.RELATIVE.value:
            return 'rel'
