import argparse


def get_args():
    parser = argparse.ArgumentParser()
    parser.add_argument('--job-dir', type=str, required=True)
    parser.add_argument('--num-epochs', type=int, required=True)
    parser.add_argument('--batch-size', type=int, default=128)
    parser.add_argument('-x', action='store_true', dest='is_xcnn')
    parser.add_argument('-t', action='store_true', dest='use_timestamps')

    diff_type = parser.add_mutually_exclusive_group()
    diff_type.add_argument('-a', action='store_true', dest='use_abs_diff')
    diff_type.add_argument('-r', action='store_true', dest='use_rel_diff')

    args, _ = parser.parse_known_args()
    return args
